*
*  THIS PROGRAM READS GLOBAL TREND DATA FROM TRENDS.CSV AND PLOTS
*  AGAINST R, S PARAMETERS
*
*
version 8                                            // tells Stata which version program was created in

clear
* log close
log using gt.log, replace                // creates or overwrites output file sres.smcl in ascii format

set memory 50m
insheet using trends.csv            // clears data then reads data from trends.csv
compress

sum(_all)                                            // descriptive statistics


*                                      PLOT THE R-MEAN GRAPHS

set scheme s1mono
twoway line rtrend r ,  title("Trends through r-means")      ///
         xtitle("r parameter") ytitle("K/decade" , axis(1) )  ///
                                           ylabel(none -1.0 -0.8 -0.6 -0.4 -0.2 0 0.2 ) ///
                                           xlabel(-125(25)125) ///
                                           xline(1, lw(vthin) lp(dash)) yline(0,lw(vvthin)) ///
                                           note("Vertical dashed line denotes linear mean")
graph save rline ,replace 
graph export rline.eps ,replace


*                                      PLOT THE S-MEAN GRAPHS

twoway line strend s ,  title("Trends through s-means")      ///
         xtitle("s parameter") ytitle("K/decade" , axis(1) )  ///
                                           ylabel(none -1.0 -0.8 -0.6 -0.4 -0.2 0 0.2  ) ///
                                           xlabel(-2.0(.5)2.0) ///
                                           xline(0, lw(vthin) lp(dash)) yline(0,lw(vvthin)) ///
                                           note("Vertical dashed line denotes linear mean")
graph save sline ,replace
graph export sline.eps ,replace




